2021-11-29  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.54.4

	pango: Cherry-pick bindings fixes from 0.56

	gstreamer: Cherry-pick bindings fixes from 0.56

	gtk4: Update to 4.5.0~cd9b7307

2021-11-28  Lorenz Wildberg  <lorenz@wild-fisch.de>

	tests: Rename colliding test case to avoid conflict

2021-11-28  Rico Tzschichholz  <ricotz@ubuntu.com>

	gnome-desktop-3.0: Some parameter fixes

	codegen: Accept CCode.type attribute on parameters
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/876

	codegen: Drop inconsistent space for ObjectType parameters

	tests: Rename colliding test cases to avoid conflicts

	build: Add "test-update" which passed UPDATE_EXPECTED=1 to refresh c-expected

	vala: Fix signals with generic return
	In addition to 36999b5ffd63cc56a8648791b02bf07e7da88077

	vala: Report error on missing gio-2.0 package for async constructors
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1256

	tests: Add runtime checks to signals tests and increase coverage

	tests/girwriter: Increase coverage

	tests: Add [Profile] method test to increase coverage

	vala: Add [Profile] as known attribute for methods

	ccode: Fix CCodeUnaryExpression.write() for PREFIX_INCREMENT/PREFIX_DECREMENT
	Regression of 0f65d306f5a2eca7ea798e5c835cf66b6e327c8e

	genie: Accept accessibility and async modifiers on "construct" creation methods
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1235

	gstreamer-base-1.0: Some parameter fixes
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1255

2021-11-28  Nikola Hadžić  <NH000@nikolahadzic.in.rs>

	alsa: Add more API and fix a few things

2021-11-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Add missing check while overriding virtual async interface methods
	This fixes a couple of criticals and possibly faulty C code.

	In addition to fc246aa7f8cbc6cb176724246a0187e19fe91198

	See https://gitlab.gnome.org/GNOME/vala/issues/852

2021-11-18  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Check required length of enum type name for GType support
	Add corresponding tests for types which have support for GType

	vala: Check for unavailable value-type of variable initializer
	Regression of 6690ea0e3c6f0d81d849e13548efc8c0809149cc

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1253

2021-11-15  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Add and use CCodeConstantIdentifier for accessing constants
	If an address to a constant value is required then its identifier needs
	to be used instead of referring to a temporary copy.

	Fixes a regression of f1a8f2a4c6771124abd61fd0ebfa991c846575fe

	Found by -fsanitize=address

2021-11-11  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Emit constants without initializer list in defines section
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/440

	codegen: Use CCodeConstant for member access of constant symbol
	This broke assumptions in CCodeBaseModule.is_constant_ccode_expression()

	tests: Fix mixed up naming of base-type tests for classes

	tests: Add more "statement" tests for genie to increase coverage

2021-11-11  Yotam Nachum  <me@yotam.net>

	gtkmodule: Improve error message for invalid signal element in ui-file

2021-11-11  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Add more "declaration" tests for genie to increase coverage

	genie: "exception" is the expected string for TokenType.ERRORDOMAIN

	genie: Properly handle plain "get" or "set" property accessors
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1248

	genie: Accept INTERR token before type arguments when parsing type
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1245

2021-11-11  Alistair Thomas  <astavale@yahoo.co.uk>

	genie: Amend text of indent and dedent for error messages
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/497

2021-11-11  Rico Tzschichholz  <ricotz@ubuntu.com>

	parser: Better handling of misplaced switch sections
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1246

	parser: Split out Parser.parse_switch_section_statement()

	vala: Using SignalHandler.disconnect() is required for dynamic signals

	tests: Extend "dynamic" signal test to increase coverage

	girparser: Accept "sealed" for transformed records and compact classes

2021-11-11  Lorenz Wildberg  <lorenz@wild-fisch.de>

	vala: Improve error message for invalid handler of dynamic signal

2021-10-30  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.54.3

2021-10-24  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Add "throws error code" tests to increase coverage

	vala: Improve CodeWriter.visit_catch_clause()
	Properly output general catch clause

	vala: Implement CodeWriter.visit_foreach_statement()

	parser: Make sure ErrorCodes are accessible as needed

	codegen: Use ErrorType.error_domain if possible

	vala: Report error for non ErrorType in throws

	tests: Add "no error type in catch" tests to increase coverage

	vala: Replace and drop UnaryExpression.find_member_access()

	tests: Add invalid "unary decrement" test to increase coverage

	tests: Add more invalid "(un)lock" tests to increase coverage

	vala: Correctly output signature of callable throwing error

	vala: Really check compatiblity of error types for delegate symbol
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1242

2021-10-19  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Set more missing source references of CodeNode instances

	tests: Split "Variant (de)serialization" test to trigger one error at a time

	tests: Extend "access virtual signal of interface" test to increase coverage

	tests: Add more invalid "member access" tests to increase coverage

	tests: Add "instance access to implicit to_string() method of enum" test

	tests: Add invalid "target/destroy access" tests to increase coverage

	parser: Don't bail parsing of yield expression on error
	Reporting the error is enough to handle this properly.

	tests: Avoid causing unrelated errors in invalid test cases

	tests: Add more "type-arguments" tests to increase coverage

	tests: Rename invalid yield-return test to avoid conflict

	codegen: Actually free data when using "remove(_all)" on GLib.Queue/(S)List
	When using e.g. GLib.List.remove() there is no context/feedback whether an
	item was removed or needed manual free'ing.

	Replace such calls with custom wrappers where items required free'ing if
	they were found.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1238

	vala: More thorough check of ValueType and set CodeNode.error on failure

	vala: No need to run return_type.check() twice for method

	tests: Add more "type-arguments" tests to increase coverage

	tests/girwriter: Add missing type-argument

	gee: Add missing type-arguments

	girparser: Add support for "ref_/ref_sink_/unref_function" metadata for classes
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1233

2021-10-19  wxx  <769218589@qq.com>

	vala: Parameter following ellipsis parameter is not allowed
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1237

2021-10-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.54.2

	vala: Set source references of created DataType instances in OCE
	This improves error message for expected type arguments.

2021-09-29  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib-2.0: Update 2.70 symbols

	gtk4: Update to 4.5.0~da5efea6

	gio-2.0: Update to 2.71.0~a0d2efdc

	tests: Add "integer/float literal" tests to increase coverage

	tests: Add missing generics/null-type.c-expected

2021-09-27  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Accept NullType as generic type argument

2021-09-25  Rico Tzschichholz  <ricotz@ubuntu.com>

	docs: Add myself to AUTHORS

	docs: Bump vala version references in README.md

	build: At least valac 0.16.1 is required

2021-09-22  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Multi-dimensional params-array not allowed
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1230

2021-09-21  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.54.1

	gtk4: Update to 4.5.0~3e20ecd6

	gstreamer: Update from 1.19.0+ git master

2021-09-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Sealed class in external package is not special
	Don't falsely generate macros and typedefs leading to conflicts

	Regression of 7ebb25ffa2226a8a098b8b1ea2cef64d1015b4de

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1229

2021-09-18  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Add type declaration for implicit temporary local variable

2021-09-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.54.0

2021-09-15  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Don't restrict element type of GLib.Array
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1227

2021-09-15  Gustav Hartvigsson  <gustav.hartvigsson@gmail.com>

	valadoc: Correctly format background of inline @link's
	Tested in Firefox, Chromium and Gnome Web.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1226

2021-09-15  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Add missing cast-void-not-allowed.c-expected

2021-09-14  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Warn about unsupported cast to void and drop it
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1070

2021-09-07  Rico Tzschichholz  <ricotz@ubuntu.com>

	gio-2.0: Unhide a few usable symbols which are marked not introspectable
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1222

2021-09-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.53.2

2021-09-03  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	gtk4: Update to 4.5.0~e681fdd9

	gstreamer: Update from 1.19.0+ git master

2021-09-01  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib-2.0: Add RefString since 2.58
	Thanks to Jiří Janoušek

	See https://gitlab.gnome.org/GNOME/vala/issues/666

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/723

2021-08-31  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Add missing cast to access base-class members in class/static ctor
	Regression of 9cbd53b8d79aa4c394ddf49e766f2c15fc476906

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1221

2021-08-30  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib-2.0: Current constants in GLib.Math are part of glib.h
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1220

2021-08-30  Princeton Ferro  <princetonferro@gmail.com>

	codegen: Fix property access inside opaque compact class
	Avoid using "priv" when accessing a private or internal field backing a
	property of a compact class.

2021-08-28  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk4: Update to 4.5.0~2db8d7f6

	pango: Update to 1.49.0+54e1aed0

	gstreamer: Update from 1.19.0+ git master

2021-08-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.53.1

2021-08-18  Princeton Ferro  <princetonferro@gmail.com>

	girwriter: Improve struct creation method binding
	Struct creation methods are supposed to have `void` return type and take
	an implicit `self` as the first instance parameter.

2021-08-18  Rico Tzschichholz  <ricotz@ubuntu.com>

	webkit2gtk-4.0: Update to 2.33.3

2021-08-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Add more "null-safe access" tests to increase coverage
	See https://gitlab.gnome.org/GNOME/vala/issues/1216

	Sync NEWS from 0.52

2021-08-14  wxx  <769218589@qq.com>

	vala: Disallow resize() for constant arrays
	See https://gitlab.gnome.org/GNOME/vala/issues/944

2021-08-14  Ole André Vadla Ravnås  <oleavr@gmail.com>

	gobject-2.0: Fix the Closure.invoke() signature
	The return value must be initialized by the caller, as is clear from
	GLib's internal callers, and e.g. dummy_closure_marshal() on the callee
	side. So it appears the GLib type annotation is incorrect, as it
	specifies `out` but should be `inout`.

2021-08-10  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	gstreamer: Update from 1.19.0+ git master

	gtk4: Update to 4.3.2+04f3c805

	girwriter: Write missing c:type attribute of compact class record
	Thanks to Niels De Graef

2021-08-06  Jeremy Philippe  <jeremy.philippe@gmail.com>

	vala: Add support for null-safe access operator
	This implements support for the "null-safe" operator of C#
	(also called "safe navigation" operator).

	  var foo = bar?.foo;
	  var foo = bar?.foo();
	  var foo = bar?[3];
	  var foo = bar?[1:2];

	It applies to plain member access, method calls, element access and
	slice expressions (including void method calls, which are simply bypassed
	if the inner expression is null).

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/522

2021-08-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	Slightly improve source_reference for get_dup_func_expression()

2021-08-05  Rico Tzschichholz  <ricotz@ubuntu.com>

	Add support for sealed classes
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/278

	girparser: Add support for "final" class attribute

	girwriter: Fix position of "result" parameter for struct constructor
	Thanks to Princeton Ferro

	Regenerate GIR-based bindings for improved instance method detection
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1210

	girparser: Improve instance method detection
	See https://gitlab.gnome.org/GNOME/vala/issues/1210

	girparser: Add "move-to" value of functions as Version.replacement

	girparser: Never skip "function" elements

2021-07-23  Princeton Ferro  <princetonferro@gmail.com>

	girwriter: Add explicit writable attribute to all field elements
	This addresses issues with bindings to Vala structs.

	vala: this_parameter property for subroutines is nullable

2021-07-19  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Don't check generated C for conditional glib test

2021-07-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Rely on DataType.to_qualified_string() implementation for error-types
	DataType.type_symbol is properly initialized and can be used.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1206

2021-07-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Add expected generated C sources

	testrunner: Allow checking generated C sources

2021-07-16  satmandu  <satadru@umich.edu>

	docs: Update bootstrap instructions in README.md

2021-07-15  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Fix params-array in constructor for struct
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1202

2021-07-15  Princeton Ferro  <princetonferro@gmail.com>

	glib-2.0: Add Uri.to_string/to_string_partial() (since 2.66)

2021-07-12  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Use detroy_value() for delete statement
	It is required to deal with special free functions here.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1201

2021-07-11  Rico Tzschichholz  <ricotz@ubuntu.com>

	gio-2.0,glib-2.0: Add new symbols from 2.69.0

2021-07-09  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	gtk4: Update to 4.3.1+6818eee8

	webkit2gtk-4.0: Update to 2.33.2

	gstreamer: Update from 1.19.0+ git master

2021-07-07  Princeton Ferro  <princetonferro@gmail.com>

	glib-2.0: expected_type and return value of VariantDict.lookup_value() is nullable

2021-06-30  Dr. Michael Lauer  <mickey@vanille-media.de>

	linux: Fix i2c-dev constants
	This commit enables basic i2c operations (open/read/write/close) from userland.
	Further i2c / smbus transfer modes are on the way.

2021-06-30  Rico Tzschichholz  <ricotz@ubuntu.com>

	linux: Fix some bindings errors

2021-06-30  Dr. Michael Lauer  <mickey@vanille-media.de>

	linux: Substitute linux/if.h with net/if.h
	There is an age-old conflict between linux/if.h (the kernel header) and
	net/if.h (the userland header) that leads to compile errors due to
	redeclaration of certain network-related structures, see e.g. the following links:

	- https://bugs.launchpad.net/ubuntu/+source/eglibc/+bug/673073
	- https://lists.debian.org/debian-kernel/2017/06/msg00003.html
	- https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=824442

	FWIW, it still seems to be a very current problem which I just stumbled over _again_.
	By now all the relevant structures should have counterparts in net/if.h, so let's try
	to just not include the kernel header, but use the userland header instead.

	linux: Add SocketCAN bindings, and ISOTP constants and options

2021-06-28  Rico Tzschichholz  <ricotz@ubuntu.com>

	Recognize multiple valid CCode.gir_namespace/_version attributes in VAPI files
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1189

	testrunner: Add support for girwriter tests

	girwriter: Respect GIR.name for constants, errordomains and delegates
	See https://gitlab.gnome.org/GNOME/vala/issues/1196

2021-06-25  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests/girwriter: Add missing [Flags] annotation

2021-06-24  Michael James Gratton  <mike@vee.net>

	javascriptcoregtk-4.0: Fix JSC.Class.add_property() binding

2021-06-24  Rico Tzschichholz  <ricotz@ubuntu.com>

	build: Use jing to verify generated GIR file, if available

	girwriter: Use "optional" and "nullable" instead of deprecated "allow-none"
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1131

	ccode: Avoid trailing space after #else of CCodeIfSection
	In addition to 994b4cb078643d9bb1842fa60ecb69891e1e7b87

2021-06-23  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Fix variadic constructors for compact classes and structs
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1195

2021-06-08  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Implementing GLib.Source.prepare/check is optional since 2.36

2021-06-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Allow null to initialize non-null struct inside initializer list
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/594

2021-06-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	Sync NEWS from 0.52

2021-05-26  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib-2.0: Add missing has_typedef attributes on SourceFuncs delegates

	gtk+-3.0: Update to 3.24.29+f9fe28ce

	gtk4: Update to 4.3.0+24f0ae1d

	pango: Mark language parameter of AttrIterator.get_font() as out

	webkit2gtk-4.0: Update to 2.33.1

	gstreamer: Update from 1.19.0+ git master

	vala: Parameter following params-array parameter is not allowed
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1183

2021-05-22  Ole André Vadla Ravnås  <oleavr@gmail.com>

	codegen: Fix support for public fields on GLib.Source subclasses

2021-05-22  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Factor out compact_class_has_instance_struct_member()

2021-05-21  Ole André Vadla Ravnås  <oleavr@gmail.com>

	gio-2.0: Improve DatagramBased.create_source() binding

2021-05-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen/vala: Improve check for GLib.Source derived classes

2021-05-20  Princeton Ferro  <princetonferro@gmail.com>

	codegen: Introduce VALA_EXPORT for public symbols to improve portability
	Use it as replacement for "extern" and attribute every public symbol.

	We want to ensure that public symbols are exported, which isn't the
	default when generating a shared library in MSVC, for example.

	ccode: Allow appending `#elif`, `#else` cases to CCodeIfSection

2021-05-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	ccode: Allow to add defines in a special section

2021-05-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	build: Add --enable-test-ubsan configure option and "test-ubsan" make target

	tests: Add "no-reply" DBus test to increase coverage

2021-05-17  Ole André Vadla Ravnås  <oleavr@gmail.com>

	codegen: Skip GDBus reply handling when async callback is NULL
	To optimize `proxy.method.begin ()` to be a simple fire and forget all
	the way down to the protocol level.

2021-05-10  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Mark entry point method implementation "_vala_main" as static
	Thanks to Al Thomas

2021-05-08  Alistair Thomas  <astavale@yahoo.co.uk>

	doc: Update man page to include more information on profiles

2021-05-07  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Don't add errornous cast for unknown type_symbol
	This causes invalid C code for reference transfer of GenericType.

	Regression of 7ae2f115a702439bd94bf09867b38019f39d010f

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1180

2021-05-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	Add support for variadic delegates
	There can't be a generated wrapper to mitigate possible differences,
	therefore the signatures must perfectly match and an explicit cast is
	required.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/160

	gstreamer-rtp-1.0: Move some static functions to matching parent symbols

	gstreamer-rtp-1.0: Fix some bindings errors
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1177

	gstreamer-rtp-1.0: Fix typo in re-parenting for RTCP symbols
	Errornous introduction of Gst.RTPC instead of Gst.RTCP

	vapi: Update GIR-based bindings

	build: Add "test-asan" make target for convenience

	codegen: More use of get_this_{class|interface}_cexpression()

	codegen: Always use G_TYPE_INSTANCE_GET_CLASS/INTERFACE for external symbols (2)
	and get_ccode_type_get_function() for SourceFileType.SOURCE symbols.

	codgen: Generalize CCodeBaseModule.get_this_interface_cexpression()

2021-05-03  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Add CCodeBaseModule.get_this_class_cexpression() and use where possible

	codegen: Replace wrongly hard coded usage of G_OBJECT_GET_CLASS
	This is used by plain GTypeInstance classes as well.

	codegen: Drop unreachable code handling (Un)LockStatements

	tests: Refactor "fields" test to increase coverage

	tests: Add "ThreadPool" test to increase coverage

2021-05-03  Corentin Noël  <corentin.noel@collabora.com>

	vala: Add foreach statement support for GLib.GenericArray
	It is now possible to use foreach with a GLib.GenericArray type

2021-05-03  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: GArray, GByteArray and GPtrArray are reference counted

2021-05-02  Rico Tzschichholz  <ricotz@ubuntu.com>

	Sync NEWS from 0.52

2021-04-28  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Add "properties in structs" test to increase coverage

	tests: Extend "array field intializer" test to increase coverage

	tests: Add "generic array" test to increase coverage

	tests: Add "delete" test to increase coverage

2021-04-27  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Don't use G_GNUC_INTERNAL on implicit type specific fields
	The actual field was never handled that way, so don't apply it at all
	when --hide-internal is passed.

	Introduced by 970f58989a2863faca11e30fdbcf4da1273a6acd which claimed to
	apply it to methods only.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1178

2021-04-24  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Report a warning for unhandled errors in destructors
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1176

	codegen: Add missing "_return" label and "_inner_error*_" declaration in dtors

2021-04-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: length-type of arrays must not be nullable (2)

2021-04-19  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib-2.0: Wrap TimeZone.identifier() constuctor for proper error support
	This allows to handle possible null returned by this constructor.

	codegen: Emit external creation methods in bindings
	These must be chained up to an existing constructor of the parent symbol

	tests: Add more "DBus" tests to increase coverage

	tests: Add "generics reference transfer" test to increase coverage

	tests: Extend "finally block execution" test to increase coverage
	In addition to 9f21d0b182edad861f93a91674787b8b3b4fc2c5

	See https://bugzilla.gnome.org/show_bug.cgi?id=579101

	codegen: More use of get_variable_cexpression()

	codegen: Use if-clause for is_in_destructor() condition to be more clear

	codegen: Unify handling of GenericType arguments/parameters

	Make TypeParameter a TypeSymbol to resolve functions with attributes

	codegen: Add get_generic_type_expression() and handle GenericType earlier
	This unifies the code for GenericType in get_type_id_expression(),
	get_dup_func_expression() and get_destroy_func_expression().

	codegen: Fix access to captured generics in async method of interfaces (2)
	See https://gitlab.gnome.org/GNOME/vala/issues/537

	codegen: Apply gconstpointer to gpointer cast to GenericType only

	vala: Properly check GLib.Object naming convention for properties

2021-04-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Make sure to include <sys/types.h> for ssize_t (POSIX)
	Fixes 636d63af21bba64df8b5e67c8290126c8fcd95cf with musl

2021-04-15  Rico Tzschichholz  <ricotz@ubuntu.com>

	Support explicit nullable var-type declarations
	    var? foo = "foo";
	    unowned var? bar = "bar";

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1146

	vapi: Update GIR-based bindings

	vala: length-type of arrays must not be nullable

	parser: Include INTERR token in source_reference of parsed types

	codegen: Use ssize_t for length variables in common array helper functions
	A signed integer is required, while -1 is allowed as length for arrays

	codegen: Use ArrayType.length_type in type specific wrappers

	vapi: Remove gedit-2.20 bindings
	The bindings are obsolete and unsupported

	vapi: Remove webkit-1.0 bindings
	The bindings are obsolete and unsupported

	parser: Allow empty member-initializer and accept trailing comma

	parser: Minor semantic checks to improve error messages

	vala: Refactor UnresolvedSymbol/Type constructors

	vala: Improve semantic check of simple type structs

	vala: Add Profile.LIBC as synonym for POSIX and accept "libc" profile

	Bump version suffix to 0.54

2021-04-12  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.52.2

2021-04-12  Nahuel Gomez Castro  <nahual_gomca@outlook.com.ar>

	glib-2.0: Add simple_generics attribute to GenericArray.find_custom()

2021-04-12  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Don't free unowned heap allocated struct
	Regression of 63551acaf0d83fac8b50904c2759c1098fbfaa71

2021-04-11  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Extend "GArray" tests to increase coverage

	codegen: Don't free temp-var for element-access to array with boxed structs (2)
	See https://gitlab.gnome.org/GNOME/vala/issues/1174

	codegen: Don't free temp-var for element-access to array with boxed structs
	Check the symbol_reference of inner element-access as needed.

	Regression of 63551acaf0d83fac8b50904c2759c1098fbfaa71

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1174

2021-04-08  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.52.1

	tests: Extend "this chainup in compact class" test

2021-04-07  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Don't call *_instance_init() in compact class chainup
	Found by -fsanitize=address

2021-04-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	libusb: Fix some bindings errors

	libusb-1.0: Fix some bindings errors

	x11: Fix some bindings errors

	zlib: Fix some bindings errors

	pixman-1: Fix some bindings errors

	codegen: Don't override valid target/destroy of previous lambda argument
	This does not enable proper support for delegates sharing a data argument,
	but allows this special case.

	See https://gitlab.gnome.org/GNOME/vala/issues/59

	codegen: Always use CCodeConstant for NULL

	codegen: Fix default value of get_ccode_destroy_notify_pos() and make use of it

2021-04-05  Rico Tzschichholz  <ricotz@ubuntu.com>

	javascriptcoregtk-4.0,webkit2gtk-web-extension-4.0: Fix some binding errors

	girwriter: Don't use instance-parameter inside callback (2)
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1167

2021-04-01  Rico Tzschichholz  <ricotz@ubuntu.com>

	girwriter: Don't use instance-parameter inside callback
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1167

	tests/girwriter: Add tests for implicit parameters in virtual-method/callback

	codegen: Improve handling of ellipsis parameter in get_ccode_name()

2021-03-31  Rico Tzschichholz  <ricotz@ubuntu.com>

	girwriter: namespace expects "c:symbol-prefixes" attribute
	In addition to ef9c592dac6ee3a6db39e924de423e23e5f4a4ef

	See https://gitlab.gnome.org/GNOME/vala/issues/1038

	gio-2.0: Fix TlsPassword.get_value() binding

	gtk+-3.0: Fix ModuleInitFunc binding

	rest-0.7: Fix OAuthProxyAuthCallback binding

2021-03-21  Rico Tzschichholz  <ricotz@ubuntu.com>

	parser: Stricter mode for chained member initializer with --keep-going
	Regression of 86bc23f2d7295ae3b2f5f79449d2c5a4a7a93a58

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1158

2021-03-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Mark tranformed static member-access as qualified
	Regression of 1084348f3a6d1113dfc09b3bb5ca6b94a0d812e9

	See https://gitlab.gnome.org/GNOME/vala/issues/270

	libvaladoc/girimporter: parse_constant() use "c:identifier" attribute first

	libvaladoc/girimporter: Don't guess length of xml header, iterate forward to <repository>
	If e.g. the xml header is missing, it resulted in errors like:

	    error: expected start element of `repository'
	    error: unsupported GIR version (null) (supported: 1.2)

2021-03-19  Rico Tzschichholz  <ricotz@ubuntu.com>

	girparser: Don't guess length of xml header, iterate forward to <repository>
	If e.g. the xml header is missing, it resulted in errors like:

	    error: expected start element of `repository'
	    error: unsupported GIR version (null) (supported: 1.2)

2021-03-17  Akarin  <769218589@qq.com>

	gsl: Add BLAS module
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1149

2021-03-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.52.0

2021-03-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Check for unused attributes unconditionally

	vapi: Fix a couple of attribute typos

	gio-2.0: Add some missing NoWrapper and CCode.has_typedef attributes

	girparser: Add support for NoWrapper metadata for methods

	codegen: Include "glib.h" for deprecated symbols (GOBJECT)
	It is required for G_GNUC_DEPRECATED in declarations of
	enums, delegates, methods, property accessors and structs.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1155

2021-03-15  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk4-unix-print: Switch to gir
	Use a temporary symlink to Gtk-4.0.gir which includes the required
	symbol defintions.

	girparser: Handle empty "<type/>" element and report an error

	gstreamer: Update from 1.19.0+ git master

	gtk4: Update to 4.1.2

	webkit2gtk-4.0: Update to 2.31.91

2021-03-14  Rico Tzschichholz  <ricotz@ubuntu.com>

	build: Add --enable-test-asan configure option
	List XFAIL tests if address sanatizer is enabled

	linux: Provide Input.Event.input_event_sec/input_event_usec fields
	Mark Input.Event.time as deprecated

	See https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit?id=152194fe9c3f

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1152

	vala: Improve error for incompatible expressions in conditional expression

	gsl: Fix more binding errors

	girparser: Allow overriding of "Compact" attribute for classes

	gtk4: Add Gtk.INVALID_LIST_POSITION
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1151

2021-03-12  Rico Tzschichholz  <ricotz@ubuntu.com>

	gsl: Fix some binding errors

	gnutls: Fix some binding errors

2021-03-10  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.51.91

